export default tseslint.config({
  extends: [
    'next',
    'next/core-web-vitals',
    'eslint:recommended',
    'plugin:react/recommended',
    'plugin:@typescript-eslint/recommended',
    'prettier',
  ],
  plugins: ['react', '@typescript-eslint'],
  parserOptions: {
    ecmaVersion: 2021,
    sourceType: 'module',
  },
  rules: {
    '@typescript-eslint/no-explicit-any': 'off',
    '@typescript-eslint/ban-ts-comment': 'off',
    '@next/next/no-assign-module-variable': 'off',
    '@typescript-eslint/ban-types': 'off',
    'import/no-anonymous-default-export': 'off',
    '@next/next/no-img-element': 'off',
    'no-useless-escape': 'off',
    'no-empty': 'off',
    'no-async-promise-executor': 'off',
    'no-irregular-whitespace': 'off',
    'react/react-in-jsx-scope': 'off',
    'react/prop-types': 'off',
  },
  ignorePatterns: ['**/*.test.tsx', '**/*.test.ts', '**/*.stories.ts', '**/*.stories.tsx'],
});
